Bug 312360 - There should be an option to disable the "taking a picture" sound
Summary: There should be an option to disable the "taking a picture" sound
Status: RESOLVED FIXED
Alias: None
Product: kamoso
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.2
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-29 23:11 UTC by sparhawk
Modified: 2013-09-13 23:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sparhawk 2012-12-29 23:11:43 UTC
When I take a still picture, Kamoso plays a sound. I would like to have the option to disable it.

Reproducible: Always

Steps to Reproduce:
1. Take a still picture.
Actual Results:  
Listen to the sound.

Expected Results:  
Have an option to disable the sound.
Comment 1 Michael G. Hansen 2013-09-12 20:27:37 UTC
I submitted a patch via reviewboard:

https://git.reviewboard.kde.org/r/112708/

Please review it and let me know whether I can commit it.

Michael
Comment 2 Michael G. Hansen 2013-09-13 19:36:34 UTC
Git commit 37926c961aee35886e47e88f67d8a7a60e7791cf by Michael Georg Hansen.
Committed on 13/09/2013 at 19:33.
Pushed by mghansen into branch 'master'.

Add an option to not play a sound when taking a picture.

REVIEW: 112708

M  +5    -1    src/kamoso.cpp
M  +4    -0    src/kamosoSettings.kcfg
M  +7    -0    src/pictureConfig.ui

http://commits.kde.org/kamoso/37926c961aee35886e47e88f67d8a7a60e7791cf
Comment 3 sparhawk 2013-09-13 23:14:15 UTC
Thanks Michael.